package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;

import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface WarehouseConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void setMoreOptionStr(String moreStr);
		void setMoreOptionVisiable(int visiable);
		void setTVWarehousDeclareStr(String declareStr);
		String getEtWarehousDeclareStr();
		void setEtWarehousDeclareStr(String describeStr);
		void addMiddleCustomView(android.view.View middleCustomView);
		void addBottomCustomView(android.view.View bottomCustomView);
		void finishPage();
		void setSaleAreaVisiable(int visiable);
		void setSaleAreaStr(String salesArea);
		void setWarehouseLabelStr(String labelStr);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void moreOptionClick();
		void choiceSaleAreaClick();
	}

}
